Bug 97522 - gnucash crashing repeatedly using postgres backend
gnucash crashing repeatedly using postgres backend
Product: Red Hat Raw Hide
Classification: Retired
Component: gnucash (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Depends On:
  Show dependency treegraph
Reported: 2003-06-17 02:00 EDT by Jonathan Kamens
Modified: 2014-03-16 22:36 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-01-28 17:21:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jonathan Kamens 2003-06-17 02:00:51 EDT
When attempting to save data into the postgres backend with gnucash, it's
segfaulting on me pretty regularly in /usr/bin/guile.  For example, once all I
did was created a new file with "Common Accounts" and then save it as
postgres://localhost/accounts and I got a segfault.  Unfortunately it doesn't
seem to be leaving a coredump anywhere.  I've got guile-1.6.4-6.2,
gnucash-1.8.4-1, and postgresql-7.3.3-3.
Comment 1 Bill Nottingham 2003-06-17 02:04:42 EDT
ulimit -c unlimited may help with core dumps.

If you install the gnucash-debuginfo at http://people.redhat.com/notting/gnucash/,
do you get a useful backtrace?
Comment 2 Jonathan Kamens 2003-06-19 23:00:13 EDT
Hmm.  I had ulimit -c unlimited in my dotfiles, but it was overridden in the
window that I start with "xterm -ls" because of a competing line in
/etc/profile.  I've fixed that, so I'll get coredumps in that window from now on.

As for the other stuff, I'm afraid I must plead "no time to debug."  I already
spent one all-nighter converting from cbb to GnuCash; I can't afford another one
for a while :-).
Comment 3 Bill Nottingham 2005-01-28 17:21:23 EST
Closing bugs from older, end-of-life releases. Apologies for any lack of response.

Please attempt to reproduce problems on a current distro, such as Fedora Core 3.

Note You need to log in before you can comment on or make changes to this bug.